function [ percVals ] = computePercDist( values, percentile, dist )
    percVals = zeros(size(values, 1), 1);
    for i = 21:size(values, 1)
        pd = fitdist(squeeze(values(i,:)'), dist);
        percVals(i) = icdf(pd, percentile);
    end
end

